| Kea 3.0.2-git

ca_cfg_mgr.h File Reference
`#include <cc/data.h>`
`#include <hooks/hooks_config.h>`
`#include <http/auth_config.h>`
`#include <http/cfg_http_header.h>`
`#include <process/d_cfg_mgr.h>`
`#include <boost/pointer_cast.hpp>`
`#include <map>`
`#include <string>`
Include dependency graph for ca_cfg_mgr.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | isc::agent::CtrlAgentCfgContext
| Control Agent Configuration Context. More...
class | isc::agent::CtrlAgentCfgMgr
| Ctrl Agent Configuration Manager. More...

## Namespaces
namespace | isc
| Defines the logger used by the top-level component of kea-lfc.
namespace | isc::agent

## Typedefs
typedef boost::shared_ptr< CtrlAgentCfgContext > | isc::agent::CtrlAgentCfgContextPtr
| Pointer to a configuration context.
typedef boost::shared_ptr< CtrlAgentCfgMgr > | isc::agent::CtrlAgentCfgMgrPtr
| Defines a shared pointer to CtrlAgentCfgMgr.